Bug 141595 - Kernel oopses on aacraid driver
Summary: Kernel oopses on aacraid driver
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: 2
Hardware: i686
OS: Linux
medium
high
Target Milestone: ---
Assignee: Dave Jones
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-12-02 12:50 UTC by Juliano F. Ravasi
Modified: 2015-01-04 22:13 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 04:33:21 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg output (with oops backtrace) (11.89 KB, text/plain)
2004-12-02 12:52 UTC, Juliano F. Ravasi
no flags Details

Description Juliano F. Ravasi 2004-12-02 12:50:43 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20040922

Description of problem:
I'm having kernel oopses on the aacraid on FC2 starting with
kernel-2.6.8. All 2.6.8 kernels were really unstable (most times I
couldn't get past the init scripts during server bootup). Upon release
of 2.6.9-1.3_FC2smp, I tried it and it seemed to solve the problem,
until today (2 weeks uptime) and I got the same oops again.

The problem reported is that a sleeping function was called from an
invalid context on mm/slab.c, and the backtrace reports functions of
aacraid driver.

My RAID controler is a Adaptec AIC7902 Ultra320 SCSI, 2200S, kernel
7244. The server is a dual Xeon with HT enabled. Find attached a dmesg
output I managed to retrieve when this problem occurred while I was
logged from another machine (while I was using 2.6.8). I haven't tried
kernels 2.6.6 and 2.6.7, but 2.6.5 seems stable as a rock (3 months
uptime without any problem).

Version-Release number of selected component (if applicable):
kernel-2.6.8 and kernel-2.6.9

How reproducible:
Sometimes

Steps to Reproduce:
1. Boot with kernel 2.6.8 or 2.6.9.
2. Wait for a system crash.

Additional info:

Comment 1 Juliano F. Ravasi 2004-12-02 12:52:25 UTC
Created attachment 107764 [details]
dmesg output (with oops backtrace)

Comment 2 Ashley Gittins 2004-12-15 17:22:58 UTC
While the oops sounds different, this might be a duplicate of bug 
#129529 - the timeline sounds about right for the problems being 
experienced in that report. 

Comment 3 Dave Jones 2005-04-16 04:33:21 UTC
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.



Note You need to log in before you can comment on or make changes to this bug.